diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/wifi-timing-attributes.cc ns-3.31/examples/wireless/wifi-timing-attributes.cc
--- ns-3.30.1/examples/wireless/wifi-timing-attributes.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/wireless/wifi-timing-attributes.cc	2020-06-27 17:38:30.000000000 -0700
@@ -57,21 +57,21 @@
 {
   uint32_t slot = 9; //slot time in microseconds
   uint32_t sifs = 10; //SIFS duration in microseconds
-  uint32_t ackTimeout = 88; //ACK timeout duration in microseconds
+  uint32_t ackTimeout = 88; //Ack timeout duration in microseconds
   uint32_t ctsTimeout = 88; //CTS timeout duration in microseconds
   uint32_t rifs = 2; //RIFS duration in microseconds
-  uint32_t basicBlockAckTimeout = 286; //Basic Block ACK timeout duration in microseconds
-  uint32_t compressedBlockAckTimeout = 112; //Compressed Block ACK timeout duration in microseconds
+  uint32_t basicBlockAckTimeout = 286; //Basic BlockAck timeout duration in microseconds
+  uint32_t compressedBlockAckTimeout = 112; //Compressed BlockAck timeout duration in microseconds
   double simulationTime = 10; //simulation time in seconds
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("slot", "Slot time in microseconds", slot);
   cmd.AddValue ("sifs", "SIFS duration in microseconds", sifs);
-  cmd.AddValue ("ackTimeout", "ACK timeout duration in microseconds", ackTimeout);
+  cmd.AddValue ("ackTimeout", "Ack timeout duration in microseconds", ackTimeout);
   cmd.AddValue ("ctsTimeout", "CTS timeout duration in microseconds", ctsTimeout);
   cmd.AddValue ("rifs", "RIFS duration in microseconds", rifs);
-  cmd.AddValue ("basicBlockAckTimeoutTimeout", "Basic Block ACK timeout duration in microseconds", basicBlockAckTimeout);
-  cmd.AddValue ("compressedBlockAckTimeoutTimeout", "Compressed Block ACK timeout duration in microseconds", compressedBlockAckTimeout);
+  cmd.AddValue ("basicBlockAckTimeoutTimeout", "Basic BlockAck timeout duration in microseconds", basicBlockAckTimeout);
+  cmd.AddValue ("compressedBlockAckTimeoutTimeout", "Compressed BlockAck timeout duration in microseconds", compressedBlockAckTimeout);
   cmd.AddValue ("simulationTime", "Simulation time in seconds", simulationTime);
   cmd.Parse (argc,argv);
 
@@ -115,7 +115,6 @@
   Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/Slot", TimeValue (MicroSeconds (slot)));
   Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/Sifs", TimeValue (MicroSeconds (sifs)));
   Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/AckTimeout", TimeValue (MicroSeconds (ackTimeout)));
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/CtsTimeout", TimeValue (MicroSeconds (ctsTimeout)));
   Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/Rifs", TimeValue (MicroSeconds (rifs)));
   Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/BasicBlockAckTimeout", TimeValue (MicroSeconds (basicBlockAckTimeout)));
   Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/CompressedBlockAckTimeout", TimeValue (MicroSeconds (compressedBlockAckTimeout)));
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/wifi-txop-aggregation.cc ns-3.31/examples/wireless/wifi-txop-aggregation.cc
--- ns-3.30.1/examples/wireless/wifi-txop-aggregation.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/wireless/wifi-txop-aggregation.cc	2020-06-27 17:38:30.000000000 -0700
@@ -57,14 +57,14 @@
 //
 // The user can select the distance between the stations and the APs, can enable/disable the RTS/CTS mechanism
 // and can modify the duration of a TXOP.
-// Example: ./waf --run "wifi-aggregation --distance=10 --enableRts=0 --simulationTime=20"
+// Example: ./waf --run "wifi-txop-aggregation --distance=10 --enableRts=0 --simulationTime=20"
 //
 // The output prints the throughput and the maximum TXOP duration measured for the 4 cases/networks
 // described above. When default aggregation parameters are enabled, the
-// maximum A-MPDU size is 65 kB and the throughput is maximal. When aggregation is disabled, the throughput is about the half of the
-// physical bitrate as in legacy wifi networks. When only A-MSDU is enabled, the throughput is increased but is not maximal, since the maximum
-// A-MSDU size is limited to 7935 bytes (whereas the maximum A-MPDU size is limited to 65535 bytes). When A-MSDU and A-MPDU are both enabled
-// (= two-level aggregation), the throughput is slightly smaller than the first scenario since we set a smaller maximum A-MPDU size.
+// maximum A-MPDU size is 65 kB and the throughput is maximal. When aggregation is disabled, the throughput is about the half of the physical
+// bitrate. When only A-MSDU is enabled, the throughput is increased but is not maximal, since the maximum A-MSDU size is limited to 7935 bytes
+// (whereas the maximum A-MPDU size is limited to 65535 bytes). When A-MSDU and A-MPDU are both enabled (= two-level aggregation),
+// the throughput is slightly smaller than the first scenario since we set a smaller maximum A-MPDU size.
 //
 // When the distance is increased, the frame error rate gets higher, and the output shows how it affects the throughput for the 4 networks.
 // Even through A-MSDU has less overheads than A-MPDU, A-MSDU is less robust against transmission errors than A-MPDU. When the distance is
@@ -102,7 +102,7 @@
   bool enablePcap = 0;
   bool verifyResults = 0; //used for regression
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("payloadSize", "Payload size in bytes", payloadSize);
   cmd.AddValue ("enableRts", "Enable or disable RTS/CTS", enableRts);
   cmd.AddValue ("txopLimit", "TXOP duration in microseconds", txopLimit);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/wifi-vht-network.cc ns-3.31/examples/wireless/wifi-vht-network.cc
--- ns-3.30.1/examples/wireless/wifi-vht-network.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/examples/wireless/wifi-vht-network.cc	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1,292 @@
+/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
+/*
+ * Copyright (c) 2015 SEBASTIEN DERONNE
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation;
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *
+ * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
+ */
+
+#include "ns3/command-line.h"
+#include "ns3/config.h"
+#include "ns3/uinteger.h"
+#include "ns3/boolean.h"
+#include "ns3/double.h"
+#include "ns3/string.h"
+#include "ns3/log.h"
+#include "ns3/yans-wifi-helper.h"
+#include "ns3/ssid.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/internet-stack-helper.h"
+#include "ns3/ipv4-address-helper.h"
+#include "ns3/udp-client-server-helper.h"
+#include "ns3/packet-sink-helper.h"
+#include "ns3/on-off-helper.h"
+#include "ns3/ipv4-global-routing-helper.h"
+#include "ns3/packet-sink.h"
+#include "ns3/yans-wifi-channel.h"
+
+// This is a simple example in order to show how to configure an IEEE 802.11ac Wi-Fi network.
+//
+// It outputs the UDP or TCP goodput for every VHT MCS value, which depends on the MCS value (0 to 9, where 9 is
+// forbidden when the channel width is 20 MHz), the channel width (20, 40, 80 or 160 MHz) and the guard interval (long
+// or short). The PHY bitrate is constant over all the simulation run. The user can also specify the distance between
+// the access point and the station: the larger the distance the smaller the goodput.
+//
+// The simulation assumes a single station in an infrastructure network:
+//
+//  STA     AP
+//    *     *
+//    |     |
+//   n1     n2
+//
+//Packets in this simulation belong to BestEffort Access Class (AC_BE).
+
+using namespace ns3;
+
+NS_LOG_COMPONENT_DEFINE ("vht-wifi-network");
+
+int main (int argc, char *argv[])
+{
+  bool udp = true;
+  bool useRts = false;
+  double simulationTime = 10; //seconds
+  double distance = 1.0; //meters
+  int mcs = -1; // -1 indicates an unset value
+  double minExpectedThroughput = 0;
+  double maxExpectedThroughput = 0;
+
+  CommandLine cmd (__FILE__);
+  cmd.AddValue ("distance", "Distance in meters between the station and the access point", distance);
+  cmd.AddValue ("simulationTime", "Simulation time in seconds", simulationTime);
+  cmd.AddValue ("udp", "UDP if set to 1, TCP otherwise", udp);
+  cmd.AddValue ("useRts", "Enable/disable RTS/CTS", useRts);
+  cmd.AddValue ("mcs", "if set, limit testing to a specific MCS (0-9)", mcs);
+  cmd.AddValue ("minExpectedThroughput", "if set, simulation fails if the lowest throughput is below this value", minExpectedThroughput);
+  cmd.AddValue ("maxExpectedThroughput", "if set, simulation fails if the highest throughput is above this value", maxExpectedThroughput);
+  cmd.Parse (argc,argv);
+
+  if (useRts)
+    {
+      Config::SetDefault ("ns3::WifiRemoteStationManager::RtsCtsThreshold", StringValue ("0"));
+    }
+
+  double prevThroughput [8];
+  for (uint32_t l = 0; l < 8; l++)
+    {
+      prevThroughput[l] = 0;
+    }
+  std::cout << "MCS value" << "\t\t" << "Channel width" << "\t\t" << "short GI" << "\t\t" << "Throughput" << '\n';
+  int minMcs = 0;
+  int maxMcs = 9;
+  if (mcs >= 0 && mcs <= 9)
+    {
+      minMcs = mcs;
+      maxMcs = mcs;
+    }
+  for (int mcs = minMcs; mcs <= maxMcs; mcs++)
+    {
+      uint8_t index = 0;
+      double previous = 0;
+      for (int channelWidth = 20; channelWidth <= 160; )
+        {
+          if (mcs == 9 && channelWidth == 20)
+            {
+              channelWidth *= 2;
+              continue;
+            }
+          for (int sgi = 0; sgi < 2; sgi++)
+            {
+              uint32_t payloadSize; //1500 byte IP packet
+              if (udp)
+                {
+                  payloadSize = 1472; //bytes
+                }
+              else
+                {
+                  payloadSize = 1448; //bytes
+                  Config::SetDefault ("ns3::TcpSocket::SegmentSize", UintegerValue (payloadSize));
+                }
+
+              NodeContainer wifiStaNode;
+              wifiStaNode.Create (1);
+              NodeContainer wifiApNode;
+              wifiApNode.Create (1);
+
+              YansWifiChannelHelper channel = YansWifiChannelHelper::Default ();
+              YansWifiPhyHelper phy = YansWifiPhyHelper::Default ();
+              phy.SetChannel (channel.Create ());
+
+              WifiHelper wifi;
+              wifi.SetStandard (WIFI_PHY_STANDARD_80211ac);
+              WifiMacHelper mac;
+
+              std::ostringstream oss;
+              oss << "VhtMcs" << mcs;
+              wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager","DataMode", StringValue (oss.str ()),
+                                            "ControlMode", StringValue (oss.str ()));
+
+              Ssid ssid = Ssid ("ns3-80211ac");
+
+              mac.SetType ("ns3::StaWifiMac",
+                           "Ssid", SsidValue (ssid));
+
+              NetDeviceContainer staDevice;
+              staDevice = wifi.Install (phy, mac, wifiStaNode);
+
+              mac.SetType ("ns3::ApWifiMac",
+                           "EnableBeaconJitter", BooleanValue (false),
+                           "Ssid", SsidValue (ssid));
+
+              NetDeviceContainer apDevice;
+              apDevice = wifi.Install (phy, mac, wifiApNode);
+
+              // Set channel width
+              Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/ChannelWidth", UintegerValue (channelWidth));
+
+              // Set guard interval
+              Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/HtConfiguration/ShortGuardIntervalSupported", BooleanValue (sgi));
+
+              // mobility.
+              MobilityHelper mobility;
+              Ptr<ListPositionAllocator> positionAlloc = CreateObject<ListPositionAllocator> ();
+
+              positionAlloc->Add (Vector (0.0, 0.0, 0.0));
+              positionAlloc->Add (Vector (distance, 0.0, 0.0));
+              mobility.SetPositionAllocator (positionAlloc);
+
+              mobility.SetMobilityModel ("ns3::ConstantPositionMobilityModel");
+
+              mobility.Install (wifiApNode);
+              mobility.Install (wifiStaNode);
+
+              /* Internet stack*/
+              InternetStackHelper stack;
+              stack.Install (wifiApNode);
+              stack.Install (wifiStaNode);
+
+              Ipv4AddressHelper address;
+              address.SetBase ("192.168.1.0", "255.255.255.0");
+              Ipv4InterfaceContainer staNodeInterface;
+              Ipv4InterfaceContainer apNodeInterface;
+
+              staNodeInterface = address.Assign (staDevice);
+              apNodeInterface = address.Assign (apDevice);
+
+              /* Setting applications */
+              ApplicationContainer serverApp;
+              if (udp)
+                {
+                  //UDP flow
+                  uint16_t port = 9;
+                  UdpServerHelper server (port);
+                  serverApp = server.Install (wifiStaNode.Get (0));
+                  serverApp.Start (Seconds (0.0));
+                  serverApp.Stop (Seconds (simulationTime + 1));
+
+                  UdpClientHelper client (staNodeInterface.GetAddress (0), port);
+                  client.SetAttribute ("MaxPackets", UintegerValue (4294967295u));
+                  client.SetAttribute ("Interval", TimeValue (Time ("0.00002"))); //packets/s
+                  client.SetAttribute ("PacketSize", UintegerValue (payloadSize));
+                  ApplicationContainer clientApp = client.Install (wifiApNode.Get (0));
+                  clientApp.Start (Seconds (1.0));
+                  clientApp.Stop (Seconds (simulationTime + 1));
+                }
+              else
+                {
+                  //TCP flow
+                  uint16_t port = 50000;
+                  Address localAddress (InetSocketAddress (Ipv4Address::GetAny (), port));
+                  PacketSinkHelper packetSinkHelper ("ns3::TcpSocketFactory", localAddress);
+                  serverApp = packetSinkHelper.Install (wifiStaNode.Get (0));
+                  serverApp.Start (Seconds (0.0));
+                  serverApp.Stop (Seconds (simulationTime + 1));
+
+                  OnOffHelper onoff ("ns3::TcpSocketFactory", Ipv4Address::GetAny ());
+                  onoff.SetAttribute ("OnTime",  StringValue ("ns3::ConstantRandomVariable[Constant=1]"));
+                  onoff.SetAttribute ("OffTime", StringValue ("ns3::ConstantRandomVariable[Constant=0]"));
+                  onoff.SetAttribute ("PacketSize", UintegerValue (payloadSize));
+                  onoff.SetAttribute ("DataRate", DataRateValue (1000000000)); //bit/s
+                  AddressValue remoteAddress (InetSocketAddress (staNodeInterface.GetAddress (0), port));
+                  onoff.SetAttribute ("Remote", remoteAddress);
+                  ApplicationContainer clientApp = onoff.Install (wifiApNode.Get (0));
+                  clientApp.Start (Seconds (1.0));
+                  clientApp.Stop (Seconds (simulationTime + 1));
+                }
+
+              Ipv4GlobalRoutingHelper::PopulateRoutingTables ();
+
+              Simulator::Stop (Seconds (simulationTime + 1));
+              Simulator::Run ();
+
+              uint64_t rxBytes = 0;
+              if (udp)
+                {
+                  rxBytes = payloadSize * DynamicCast<UdpServer> (serverApp.Get (0))->GetReceived ();
+                }
+              else
+                {
+                  rxBytes = DynamicCast<PacketSink> (serverApp.Get (0))->GetTotalRx ();
+                }
+              double throughput = (rxBytes * 8) / (simulationTime * 1000000.0); //Mbit/s
+
+              Simulator::Destroy ();
+
+              std::cout << mcs << "\t\t\t" << channelWidth << " MHz\t\t\t" << sgi << "\t\t\t" << throughput << " Mbit/s" << std::endl;
+
+              //test first element
+              if (mcs == 0 && channelWidth == 20 && sgi == 0)
+                {
+                  if (throughput < minExpectedThroughput)
+                    {
+                      NS_LOG_ERROR ("Obtained throughput " << throughput << " is not expected!");
+                      exit (1);
+                    }
+                }
+              //test last element
+              if (mcs == 9 && channelWidth == 160 && sgi == 1)
+                {
+                  if (maxExpectedThroughput > 0 && throughput > maxExpectedThroughput)
+                    {
+                      NS_LOG_ERROR ("Obtained throughput " << throughput << " is not expected!");
+                      exit (1);
+                    }
+                }
+              //test previous throughput is smaller (for the same mcs)
+              if (throughput > previous)
+                {
+                  previous = throughput;
+                }
+              else
+                {
+                  NS_LOG_ERROR ("Obtained throughput " << throughput << " is not expected!");
+                  exit (1);
+                }
+              //test previous throughput is smaller (for the same channel width and GI)
+              if (throughput > prevThroughput [index])
+                {
+                  prevThroughput [index] = throughput;
+                }
+              else
+                {
+                  NS_LOG_ERROR ("Obtained throughput " << throughput << " is not expected!");
+                  exit (1);
+                }
+              index++;
+            }
+          channelWidth *= 2;
+        }
+    }
+  return 0;
+}
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/wifi-wired-bridging.cc ns-3.31/examples/wireless/wifi-wired-bridging.cc
--- ns-3.30.1/examples/wireless/wifi-wired-bridging.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/wireless/wifi-wired-bridging.cc	2020-06-27 17:38:30.000000000 -0700
@@ -43,6 +43,8 @@
 
 #include "ns3/command-line.h"
 #include "ns3/double.h"
+#include "ns3/uinteger.h"
+#include "ns3/rectangle.h"
 #include "ns3/string.h"
 #include "ns3/yans-wifi-helper.h"
 #include "ns3/ssid.h"
@@ -52,7 +54,6 @@
 #include "ns3/on-off-helper.h"
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/csma-helper.h"
-#include "ns3/animation-interface.h"
 #include "ns3/bridge-helper.h"
 #include "ns3/packet-socket-address.h"
 
@@ -65,7 +66,7 @@
   bool sendIp = true;
   bool writeMobility = false;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("nWifis", "Number of wifi networks", nWifis);
   cmd.AddValue ("nStas", "Number of stations per wifi network", nStas);
   cmd.AddValue ("SendIp", "Send Ipv4 or raw packets", sendIp);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/wscript ns-3.31/examples/wireless/wscript
--- ns-3.30.1/examples/wireless/wscript	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/wireless/wscript	2020-06-27 17:38:30.000000000 -0700
@@ -20,8 +20,8 @@
     obj = bld.create_ns3_program('wifi-wired-bridging', ['wifi', 'csma', 'bridge', 'applications'])
     obj.source = 'wifi-wired-bridging.cc'
 
-    obj = bld.create_ns3_program('multirate', ['wifi', 'flow-monitor', 'olsr', 'applications'])
-    obj.source = 'multirate.cc'
+    obj = bld.create_ns3_program('wifi-multirate', ['wifi', 'flow-monitor', 'olsr', 'applications'])
+    obj.source = 'wifi-multirate.cc'
 
     obj = bld.create_ns3_program('wifi-simple-adhoc', ['internet', 'wifi'])
     obj.source = 'wifi-simple-adhoc.cc'
@@ -38,26 +38,26 @@
     obj = bld.create_ns3_program('wifi-blockack', ['wifi', 'applications'])
     obj.source = 'wifi-blockack.cc'
 
-    obj = bld.create_ns3_program('dsss-validation', ['wifi'])
-    obj.source = 'dsss-validation.cc'
+    obj = bld.create_ns3_program('wifi-dsss-validation', ['wifi'])
+    obj.source = 'wifi-dsss-validation.cc'
 
-    obj = bld.create_ns3_program('ofdm-validation', ['wifi'])
-    obj.source = 'ofdm-validation.cc'
+    obj = bld.create_ns3_program('wifi-ofdm-validation', ['wifi'])
+    obj.source = 'wifi-ofdm-validation.cc'
 
-    obj = bld.create_ns3_program('ofdm-ht-validation', ['wifi'])
-    obj.source = 'ofdm-ht-validation.cc'
+    obj = bld.create_ns3_program('wifi-ofdm-ht-validation', ['wifi'])
+    obj.source = 'wifi-ofdm-ht-validation.cc'
 
-    obj = bld.create_ns3_program('ofdm-vht-validation', ['wifi'])
-    obj.source = 'ofdm-vht-validation.cc'
+    obj = bld.create_ns3_program('wifi-ofdm-vht-validation', ['wifi'])
+    obj.source = 'wifi-ofdm-vht-validation.cc'
 
     obj = bld.create_ns3_program('wifi-hidden-terminal', ['wifi', 'applications', 'flow-monitor'])
     obj.source = 'wifi-hidden-terminal.cc'
 
-    obj = bld.create_ns3_program('ht-wifi-network', ['wifi', 'applications'])
-    obj.source = 'ht-wifi-network.cc'
+    obj = bld.create_ns3_program('wifi-ht-network', ['wifi', 'applications'])
+    obj.source = 'wifi-ht-network.cc'
 
-    obj = bld.create_ns3_program('vht-wifi-network', ['wifi', 'applications'])
-    obj.source = 'vht-wifi-network.cc'
+    obj = bld.create_ns3_program('wifi-vht-network', ['wifi', 'applications'])
+    obj.source = 'wifi-vht-network.cc'
 
     obj = bld.create_ns3_program('wifi-timing-attributes', ['wifi', 'applications'])
     obj.source = 'wifi-timing-attributes.cc'
@@ -65,14 +65,14 @@
     obj = bld.create_ns3_program('wifi-sleep', ['wifi', 'applications'])
     obj.source = 'wifi-sleep.cc'
     
-    obj = bld.create_ns3_program('power-adaptation-distance', ['wifi', 'applications'])
-    obj.source = 'power-adaptation-distance.cc'
+    obj = bld.create_ns3_program('wifi-power-adaptation-distance', ['wifi', 'applications'])
+    obj.source = 'wifi-power-adaptation-distance.cc'
     
-    obj = bld.create_ns3_program('power-adaptation-interference', ['wifi', 'applications', 'flow-monitor'])
-    obj.source = 'power-adaptation-interference.cc'
+    obj = bld.create_ns3_program('wifi-power-adaptation-interference', ['wifi', 'applications', 'flow-monitor'])
+    obj.source = 'wifi-power-adaptation-interference.cc'
 
-    obj = bld.create_ns3_program('rate-adaptation-distance', ['wifi', 'applications'])
-    obj.source = 'rate-adaptation-distance.cc'
+    obj = bld.create_ns3_program('wifi-rate-adaptation-distance', ['wifi', 'applications'])
+    obj.source = 'wifi-rate-adaptation-distance.cc'
 
     obj = bld.create_ns3_program('wifi-aggregation', ['wifi', 'applications'])
     obj.source = 'wifi-aggregation.cc'
@@ -80,20 +80,20 @@
     obj = bld.create_ns3_program('wifi-txop-aggregation', ['wifi', 'applications'])
     obj.source = 'wifi-txop-aggregation.cc'
 
-    obj = bld.create_ns3_program('simple-ht-hidden-stations', ['wifi', 'applications'])    
-    obj.source = 'simple-ht-hidden-stations.cc'
+    obj = bld.create_ns3_program('wifi-simple-ht-hidden-stations', ['wifi', 'applications'])
+    obj.source = 'wifi-simple-ht-hidden-stations.cc'
 
-    obj = bld.create_ns3_program('80211n-mimo', ['wifi', 'applications'])
-    obj.source = '80211n-mimo.cc'
+    obj = bld.create_ns3_program('wifi-80211n-mimo', ['wifi', 'applications'])
+    obj.source = 'wifi-80211n-mimo.cc'
 
-    obj = bld.create_ns3_program('mixed-network', ['wifi', 'applications'])    
-    obj.source = 'mixed-network.cc'
+    obj = bld.create_ns3_program('wifi-mixed-network', ['wifi', 'applications'])
+    obj.source = 'wifi-mixed-network.cc'
 
     obj = bld.create_ns3_program('wifi-tcp', ['wifi', 'applications'])    
     obj.source = 'wifi-tcp.cc'
 
-    obj = bld.create_ns3_program('80211e-txop', ['wifi', 'applications'])
-    obj.source = '80211e-txop.cc'
+    obj = bld.create_ns3_program('wifi-80211e-txop', ['wifi', 'applications'])
+    obj.source = 'wifi-80211e-txop.cc'
 
     obj = bld.create_ns3_program('wifi-spectrum-per-example', ['wifi', 'applications'])
     obj.source = 'wifi-spectrum-per-example.cc'
@@ -104,11 +104,11 @@
     obj = bld.create_ns3_program('wifi-spectrum-saturation-example', ['wifi', 'applications'])
     obj.source = 'wifi-spectrum-saturation-example.cc'
 
-    obj = bld.create_ns3_program('ofdm-he-validation', ['wifi'])
-    obj.source = 'ofdm-he-validation.cc'
+    obj = bld.create_ns3_program('wifi-ofdm-he-validation', ['wifi'])
+    obj.source = 'wifi-ofdm-he-validation.cc'
 
-    obj = bld.create_ns3_program('he-wifi-network', ['wifi', 'applications'])
-    obj.source = 'he-wifi-network.cc'
+    obj = bld.create_ns3_program('wifi-he-network', ['wifi', 'applications'])
+    obj.source = 'wifi-he-network.cc'
 
     obj = bld.create_ns3_program('wifi-multi-tos', ['wifi', 'applications'])
     obj.source = 'wifi-multi-tos.cc'
